# Class ELContextImpl

java.lang.Object
jakarta.el.ELContext
org.apache.jasper.el.ELContextImpl

public class ELContextImpl extends ELContext
Implementation of ELContext.

## Constructor Summary

Constructors
Constructor
Description
`ELContextImpl(ELResolver resolver)`
`ELContextImpl(ExpressionFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`static ELResolver`
`getDefaultResolver(ExpressionFactory factory)`
`ELResolver`
`getELResolver()`
`FunctionMapper`
`getFunctionMapper()`
`VariableMapper`
`getVariableMapper()`
`void`
`setFunctionMapper(FunctionMapper functionMapper)`
`void`
`setVariableMapper(VariableMapper variableMapper)`

### Methods inherited from class ELContext

`addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ELContextImpl

public ELContextImpl(ExpressionFactory factory)

### ELContextImpl

public ELContextImpl(ELResolver resolver)

## Method Details

### getELResolver

public ELResolver getELResolver()

Specified by:
  `getELResolver` in class `ELContext`

### getFunctionMapper

public FunctionMapper getFunctionMapper()

Specified by:
  `getFunctionMapper` in class `ELContext`

### getVariableMapper

public VariableMapper getVariableMapper()

Specified by:
  `getVariableMapper` in class `ELContext`

### setFunctionMapper

public void setFunctionMapper(FunctionMapper functionMapper)

### setVariableMapper

public void setVariableMapper(VariableMapper variableMapper)

### getDefaultResolver

public static ELResolver getDefaultResolver(ExpressionFactory factory)